create tax provider
1 min
POST
https://api.upstartcommerce.com/v1/tax/provider
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyobjectDescription
- tenantstringrequiredDescriptionMin Length1
- taxProviderIdstringrequiredDescriptionMin Length1
- taxProviderNamestringrequiredDescriptionMin Length1
- enabledbooleanrequiredDescription
Responses
201
- object
- tenantstringrequiredDescriptionMin Length1
- taxProviderIdstringrequiredDescriptionMin Length1
- taxProviderNamestringrequiredDescriptionMin Length1
- enabledbooleanrequiredDescription
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
415
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/tax/provider \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"tenant": "",
"taxProviderId": "",
"taxProviderName": "",
"enabled": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"tenant": "",
"taxProviderId": "",
"taxProviderName": "",
"enabled": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/provider", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/provider")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"tenant": "",
"taxProviderId": "",
"taxProviderName": "",
"enabled": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/provider"
payload = json.dumps({
"tenant": "",
"taxProviderId": "",
"taxProviderName": "",
"enabled": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Success-the tax provider is created.
{
"tenant": "",
"taxProviderId": "",
"taxProviderName": "",
"enabled": false
}401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.
415
// Unsupported Media Type-content type isn't set to application/json.